View Issue Details

IDProjectCategoryView StatusLast Update
0029388Open CASCADEOCCT:Visualizationpublic2019-08-15 17:50
Reporterabv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version6.8.0 
Target Version7.4.0Fixed in Version7.4.0 
Summary0029388: Visualization - Setting camera eye position to (0,0,0) kills the application
DescriptionSetting camera eye position in 3d viewer to (0,0,0) kills the application.

The reason is that "eye" and "center" of the camera are parameters manipulated independently, and center is at (0,0,0) by default. Vector from the eye to the center defines view direction. When eye is set to (0,0,0), this direction becomes indefinite (see Graphic3d_Camera::Direction()). (In debug mode, exception is thown by gp_Dir constructor.)

It sounds reasonable storing Direction() within Graphic3d_Camera independently from Center/Eye, so that it remains always valid.
Steps To ReproduceSetting Eye directly:
pload AISV MODELING
box b 10 10 10
vdisplay b
vviewparams -eye 0 0 0 


Eye becomes equals to Center within Fit All due to floating point precision limitations (crashes in Debug mode):
pload MODELING VISUALIZATION
box b 5.0e+21 1000.0 350.0
vclear
vinit View1
vaxo
vcamera -persp
vdisplay -dispMode 1 b
vfit

TagsNo tags attached.
Test case numberNot required

Relationships

related to 0028033 closedbugmaster Visualization - Graphic3d_Camera::ZFitAll() throws exception on camera rotation 
related to 0029837 closedbugmaster Visualization, Graphic3d_Camera - Fit All operation works incorrectly on flat object 

Activities

kgv

2019-08-12 14:31

developer   ~0086189

Proposed change (store direction instead of a point) has been implemented in scope of 0029837, therefore test case will not throw exception.

Issue History

Date Modified Username Field Change
2017-12-15 11:14 abv New Issue
2017-12-15 11:14 abv Assigned To => kgv
2017-12-15 11:37 kgv Relationship added related to 0028033
2018-03-25 12:05 kgv Target Version 7.3.0 => 7.4.0
2018-06-14 17:51 kgv Relationship added related to 0029837
2018-06-14 17:56 kgv Description Updated
2018-06-14 17:56 kgv Steps to Reproduce Updated
2019-06-26 08:13 kgv Assigned To kgv => tizmaylo
2019-06-26 08:13 kgv Status new => assigned
2019-08-12 14:31 kgv Note Added: 0086189
2019-08-12 14:31 kgv Assigned To tizmaylo => abv
2019-08-12 14:31 kgv Status assigned => resolved
2019-08-12 14:36 abv Assigned To abv => bugmaster
2019-08-12 14:36 abv Status resolved => reviewed
2019-08-12 14:36 abv Status reviewed => verified
2019-08-12 14:36 abv Resolution open => fixed
2019-08-15 17:50 bugmaster Test case number => Not required